%define origname wqy-bitmapfont
%define version 1.0
%define snapshotdate 20060916

Name:	x11-font-%{origname}
Version:	%{version}
Release:	%mkrel -c %snapshotdate 2
Summary:	WenQuanYi Bitmap Song
Group:	System/Fonts/X11 bitmap
URL:	http://www.wenq.org
Source0:	http://heanet.dl.sourceforge.net/sourceforge/wqy/%{origname}-bdf-nightly_build.tar.gz
Source1:	2007-mdv-replace-uming-by-wqy.conf
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
BuildRequires:	bdftopcf

Requires(pre):	mkfontdir, mkfontscale, chkfontpath
Requires(postun):	mkfontdir, mkfontscale, chkfontpath
Requires:	fontconfig

%description
The Wen Quan Yi bitmap font includes complete CJK Unified 
Ideograph (U4E00 - U9FA5) glyphs at four different sizes 
(9pt-12X12 pixel, 10pt-13X13 pixel, 11pt-15X15 pixel, 
12pt-16x16 pixel) and two weights (medium and bold). 
Use of this bitmap font for on-screen display of Chinese 
(traditional and simplified) in web pages and elsewhere 
eliminates the annoying "blurring" problems caused by 
the high stroke density of many Chinese characters and 
insufficient "hinting" of anti-aliased Chinese fonts. 
This font also provides bitmap glyphs for Japanese 
Hiragana (U3040 - U309F), Katakana (U30A0 - U30FF) 
and for Korean Hangul (UAC00 - UD7A3).

%prep
%setup -q -n %{origname} -a 0

%build
for i in *.bdf
do
	bdftopcf -o `basename $i .bdf`.pcf $i
done

gzip *.pcf

%install
rm -fr %buildroot

install -d %{buildroot}/%_datadir/fonts/wqy
install -m 0755 *.pcf.gz %{buildroot}/%_datadir/fonts/wqy
#install -d %{buildroot}/%{_sysconfdir}/fonts/conf.d
#install -m 0755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/fonts/conf.d

%post
mkfontscale %_datadir/fonts/wqy
mkfontdir %_datadir/fonts/wqy
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
if [ "$1" = "1" ]; then
	chkfontpath -a %_datadir/fonts/wqy
fi

%preun
if [ "$1" = "0" ]; then
	chkfontpath -r %_datadir/fonts/wqy
fi

%postun
mkfontscale %_datadir/fonts/wqy
mkfontdir %_datadir/fonts/wqy
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog CREDIT GPL.txt STAT PLEASE_HELP_TO_IMPROVE
%_datadir/fonts/wqy/*.pcf.gz
#%config(noreplace) %{_sysconfdir}/fonts/conf.d/2007-mdv-replace-uming-by-wqy.conf

%changelog
* Sun Sep 17 2006 Funda Wang <fundawang@gmail.com> 1.0-0.20060916.2mdv2007.0
- Fix post and preun scripts

* Sun Sep 17 2006 Funda Wang <fundawang@gmail.com> 1.0-0.20060916.1mdv2007.0
- New snapshot on 20060916
- No more additional fontconfig needed.

* Sat Jul 19 2006 Funda Wang <fundawang@gmail.com> 1.0-0.20060819.1mdv2007.0
- New snapshot on 20060819
- adopt to the dir change of x11-fonts (/usr/share)

* Sun Jun 04 2006 Funda Wang <fundawang@gmail.com> 0.7.0-1mdv2007.0
- First Mandriva package
